# driver.h File Reference

`#include "debug.h"`
`#include "core/enum_type.hpp"`
`#include "string_func.h"`
`#include <string>`
`#include <map>`

Go to the source code of this file.

## Data Structures

class | Driver
class | DriverFactoryBase

## Functions

bool | GetDriverParamBool (const char *const *parm, const char *name)
int | GetDriverParamInt (const char *const *parm, const char *name, int def)
| DECLARE_POSTFIX_INCREMENT (Driver::Type)

## Detailed Description

Definition in file driver.h.